org.apache.mina.core.future

## Class CompositeIoFuture<E extends IoFuture>

- java.lang.Object
- - org.apache.mina.core.future.DefaultIoFuture
  - - org.apache.mina.core.future.CompositeIoFuture<E>

- Type Parameters:
    `E` - the type of the child futures.
  All Implemented Interfaces:
    IoFuture

      public class CompositeIoFuture<E extends IoFuture>
      extends DefaultIoFuture

  An `IoFuture` of `IoFuture`s. It is useful when you want to get notified when all `IoFuture`s are complete. It is not recommended to use `CompositeIoFuture` if you just want to wait for all futures. In that case, please use `IoUtil.await(Iterable)` instead for better performance.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeIoFuture(Iterable<E> children)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.core.future.DefaultIoFuture

      `addListener, await, await, await, awaitUninterruptibly, awaitUninterruptibly, awaitUninterruptibly, getSession, getValue, isDone, join, join, removeListener, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeIoFuture

          public CompositeIoFuture(Iterable<E> children)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.